PDA

Просмотр полной версии : Не устанавливается на FreeBSD 8.2



Andreyka
02.10.2011, 14:31
Пытаюсь установить стабильную версию
При первой попытке получил сегфалт на этапе обновления портов
Обновил порты вручную, make index сделал
На второй попытке получаю Can't get information about available packages

Подскажите что делать?

Andreyka
02.10.2011, 14:40
Дополнительная информация, может чем-то поможет


root@unknown-7492 ~]# uname -a
FreeBSD unknown-7492.agava.net 8.2-STABLE FreeBSD 8.2-STABLE #0 r59: Wed Apr 6 12:11:28 IRKST 2011 root@freebsd8-amd64.ispsystem.net:/root/src/sys/amd64/compile/ISPSYSTEM amd64
[root@unknown-7492 ~]# /usr/local/ispmgr/sbin/pkgctl -D -m ispmgr cache
Error: can't stat mgr binary by InitMgrClient
[root@unknown-7492 ~]# /usr/local/ispmgr/sbin/pkgctl -D -m vdsmgr cache
Error: Can't open module lib/pkgvds-apache.so. lib/pkgvds-apache.so: Undefined symbol "_ZNK3ssl7KeyPair14SavePrivateKeyERKSsS2_S2_"
[root@unknown-7492 ~]# file /usr/local/ispmgr/lib/pkgvds-apache.so
/usr/local/ispmgr/lib/pkgvds-apache.so: ELF 64-bit LSB shared object, x86-64, version 1 (FreeBSD), dynamically linked, stripped
[root@unknown-7492 ~]#

Alex Keda
02.10.2011, 21:06
файло не битое, часом?

Andreyka
02.10.2011, 21:24
Какое именно и как проверить?
В инсталляторе проверки md5 разве нет?

Alex Keda
03.10.2011, 01:49
могло и потом побиться

ls
03.10.2011, 02:47
Проблема с библиотеками судя по всему, ставьте бета (current) версию, потом в настройках обновлений поставите апдейтить только до stable

Andreyka
03.10.2011, 02:53
Так оно потом библиотеки поставит stable и опять все сломается?

VA
03.10.2011, 19:06
Так оно потом библиотеки поставит stable и опять все сломается?
Нет, настройки обновления влияют только на обновление с низшей версии на высшую. Вы начнете обновляться только тогда, когда версия stable будет выше, чем Ваша установленная версия (current)...

inshu
04.10.2011, 10:08
Проблема была в том что у человека в /usr/local/ispmgr был распаковано либо несколько install.tgz, либо поверх обратные апдейты.